### Constructor

# ICalGLib VcardParameter new

since: 4.0

#### Declaration [src]

    ICalVcardParameter*
    i_cal_vcard_parameter_new (
      ICalVcardParameterKind kind
    )

#### Description [src]

Creates a new `ICalVcardParameter` of the `kind` type.

Available since: 4.0

#### Parameters

`kind`

  Type: `ICalVcardParameterKind`

  The type of `ICalVcardParameter` to be created.

#### Return value

Type: `ICalVcardParameter`

The newly created `ICalVcardParameter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.